spreed-webrtc-server (0.24.0) precise; urgency=low

  * Added hover actions on buddy picture in group chat.
  * Jed.js was updated to 1.1.0 including API update for translations.
  * Fixed replaced session data receive problem.
  * Chat rooms are now reenabled on certain conditions.
  * Session close notification is now always sent both directions.
  * Reorganized scss.
  * Improved null pointer handling in server code.
  * Improved server API names to follow general rules.
  * TURN and STUN data is now created in constraints service.
  * Added screen sharing support for Firefox >= 38.
  * Added video resolution selection for Firefox >= 38.
  * Split up mediastreamcontroller in multiple parts.
  * Reconnect delay is now gradually increased.
  * Added basic romm type support.
  * Server API was bumped to 1.2.
  * Added room name support (Server API 1.2).
  * Slashes are now allowed unquoted in room names.
  * Spaces are no longer stripped in room path parts.
  * Sleepy was replaced by external library Sloth.
  * Authorizing flag is now available in scope to avoid flash of sign-in button.
  * Copyright was bumped to 2015.
  * Youtube player now runs in sandboxed iframe.
  * Allow HD video constraints for Firefox >= 38.
  * Presentaion (WebODF) now runs in sandboxed iframe.
  * Example CSP was updated to work with sandboxed iframe of Youtube and WebODF.
  * Load of web fonts is now detected to avoid fouf.
  * Added support to enable Opus DTX constraint.
  * Fixed problem where a stream without audio was added to audio processor.
  * Added support for renegotiation to web client.
  * Added audio only styles in web client.
  * Receiver can now receive a connection without a stream.
  * Youtube playback now has error handling.
  * Avoid some fout.
  * Firefox will now hang up on renegotiation (if enabled).
  * Styles were split up, so they can be built seperately.
  * Fixed a problem, where Chrome thought it already had an offer.

 -- Simon Eisenmann <simon@struktur.de>  Tue, 16 Jun 2015 22:50:46 +0200

spreed-webrtc-server (0.23.8) precise; urgency=low

  * Session subscriptions now notify close both ways.
  * Reenable chat rooms on certain conditions related to peer connectivity.
  * Fixed an issue where replaced sessions cannot receive data from contacts in other rooms.

 -- Simon Eisenmann <simon@struktur.de>  Wed, 08 Apr 2015 17:24:59 +0200

spreed-webrtc-server (0.23.7) precise; urgency=low

  * Updated SCSS to match coding style.
  * Updated sjcl.js to 1.0.2.
  * Fixed possible reconnect loop.
  * TURN Ttl refresh timer is no longer lost when a room was joined.
  * Fixed a possible dead lock when a hanging connection was replaced.
  * Fixed authentication id logging.
  * Avoid broken local video aspect ratio when camera changes aspect ratio while capturing (Mac OS).
  * 1080p and 720p now can fail back to lower resolution when the camera fails to provide the requested resolution.
  * Chat messages are now limited to 200k characters in web client.
  * Channeling API now discards all incoming messages larger than 1MB.
  * Video component now corretly exits from full screen in all cases.

 -- Simon Eisenmann <simon@struktur.de>  Thu, 05 Mar 2015 18:00:55 +0100

spreed-webrtc-server (0.23.6) precise; urgency=low

  * Fixed Youtube module.
  * Contacts is now a module and can be disabled in server configuration.
  * Fixed stereo send support.
  * Improved Firefox support and added support for Firefox 36 and later.
  * Dropped support for Chrome < 34.
  * Account button in settings now use button style.
  * Added support for scss-lint validation.
  * Text.js was updated.
  * CPU overuse detection (Chrome) is no longe experimental and now enabled by default.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 20 Feb 2015 18:30:16 +0100

spreed-webrtc-server (0.23.5) precise; urgency=low

  * No longer install config file in install target of Makefile. We leave it to the packaging.
  * Sessions are no longer cleaned up when another connection replaced the session and a stale connection gets disconnected after that.

 -- Simon Eisenmann <simon@struktur.de>  Wed, 11 Feb 2015 11:16:47 +0100

spreed-webrtc-server (0.23.4) precise; urgency=low

  * Cleanup of README.
  * Fixed a problem where videos were not sized correctly.
  * Lodash was updated to 3.0.0.
  * Server now has an option to require authentication to join rooms.
  * Screen sharing, youtube and presentation modules can now be disabled in server.conf.
  * Fixed position of buddy list loader animation.
  * Fixed loaded of anonymous user data when a plugin uses the authorization api.
  * Refactored session cleanup to fix ghost sessions.
  * Reorganization to allow better app support.
  * Updated require.js and r.js to 2.1.5.
  * Fixed room reset when default room is disabled.

 -- Simon Eisenmann <simon@struktur.de>  Mon, 02 Feb 2015 17:18:53 +0100

spreed-webrtc-server (0.23.3) precise; urgency=low

  * Improved room bar room change and leave buttons.
  * Never hide room bar completely.
  * Stay in prior room when join fails.
  * Stay in prior room when PIN prompt was aborted.
  * Updated to PDF.js 1.0.907.
  * Enhanced example CSP to support for PDF and WebODF presentations.
  * Fixed Firefox screen sharing interop.
  * Fixed Firefox file transfer interop.
  * Fixed peer connection to create and offer when user media failed.
  * Only show room bar when there is no peer.
  * Hide welcome screen when there is a peer.
  * Avoid dead ends in room join UI when connection is lost and reestablished.
  * Avoid showing settings automatically when not connected or still in authorizing phase.
  * Added some missing CSS classes to allow easier UI mods.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 19 Dec 2014 17:15:10 +0100

spreed-webrtc-server (0.23.2) precise; urgency=low

  * Do not build combined Javascript in strict mode to avoid compatibility issues. 

 -- Simon Eisenmann <simon@struktur.de>  Wed, 10 Dec 2014 17:18:17 +0100

spreed-webrtc-server (0.23.1) precise; urgency=low

  * Fixed strict mode on release compile.
  * Fixed prefix support of make install.

 -- Simon Eisenmann <simon@struktur.de>  Wed, 10 Dec 2014 14:03:15 +0100

spreed-webrtc-server (0.23.0) precise; urgency=low

  * Added support for renegotation in web client (disabled).
  * Rooms were refactored to be able to confirm joins.
  * Added support to PIN lock rooms (server side).
  * Updated javascript to follow now jshin rules.
  * Updated plugin API to make the main App object available.
  * Refactored server side configuration loading.
  * Improved usability of image upload positioning and scaling.
  * Stream lined third party javascript to reduce size.
  * Javascript is now using 'strict' mode everywhere.
  * Added suppport for Content Security Policy (CSP).
  * Added Javascript source mappings where missing.
  * Fixed bye handling in conferences to avoid endless dial tones.
  * Added support for audio and/or video only connections when
    the corresponding device is not there.
  * Several icons were changed for usability reasons.
  * Improved dialogs and texts for usability reasons.
  * Room bar is now automatically visible when not in a call.
  * Updated auto focus behavior of room select forms.
  * Implemented a room history on welcome screen.
  * Added a sign in button to the top bar.
  * Changed order of settings form for usability reasons.
  * Missed call toast now always is shown.
  * Improved toast notification styles.

 -- Simon Eisenmann <simon@struktur.de>  Tue, 09 Dec 2014 15:45:52 +0100

spreed-webrtc-server (0.22.8) precise; urgency=low

  * Removed opacity transition from chat pane to avoid compositing issues.
  * Fixed timeout of usermedia test.
  * UI update fps reduces to 10 (was 60).
  * Buddy picture file upload input is now cleared after cancel.
  * Make sure to stop stream after testing usermedia.
  * Several small UI alignment issues.

 -- Simon Eisenmann <simon@struktur.de>  Tue, 11 Nov 2014 18:37:40 +0100

spreed-webrtc-server (0.22.7) precise; urgency=low

  * Fixed a typo in getStreamById api.
  * Roombar visibility is now controlled by layout.
  * Removed audio mirror option which does not seem to work anywhere.
  * Fixed po2json detection when it is installed globally.
  * Dialog service is now using the ui-bootstrap defaults properly.
  * Fixed an issue where incoming chat messages failed when getting called from the sender at the same time.
  * No longer use dpkg-parsechangelog on configure.

 -- Simon Eisenmann <simon@struktur.de>  Mon, 03 Nov 2014 11:02:53 +0100

spreed-webrtc-server (0.22.6) precise; urgency=low

  * Added missing gear to remove streams from peer connections.
  * FireFox no longer shows remove videos multiple times.
  * Added information about session id to REST documentation.
  * Added a bunch of experimental audio and video settings (disabled by default).
  * Added an option to automatically use same device for output as is used for input (Windows only and enabled by default).

 -- Simon Eisenmann <simon@struktur.de>  Thu, 23 Oct 2014 14:17:54 +0200

spreed-webrtc-server (0.22.5) precise; urgency=low

  * Fixed an issue where the own video was not showing in democrazy layout.
  * Own video is no longer delayed in democrazy layout.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 26 Sep 2014 22:29:35 +0200

spreed-webrtc-server (0.22.4) precise; urgency=low

  * Optimized Makefile and cleaned up building.
  * WebODF was updated to 0.5.4.
  * Video layout 'classroom' has been added.
  * Video layout 'smally' is now using black background.
  * Several smaller layout improvements.
  * Room names can now start with @,$ and + without beeing quoted.
  * The online indicator can now be customized with a directive.
  * Video layout 'democrazy' has been implemented and is used per default.
  * Video layout 'onepeople' is now selectable als "Large view".
  * The own audio level indicator is now visible again.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 26 Sep 2014 16:06:23 +0200

spreed-webrtc-server (0.22.3) precise; urgency=low

  * Enable 1080p capturing for Chrome 38+.
  * Added option to use 8 FPS video capturing.
  * Visibly.js was updated.
  * Use cam/mic icon without slash when not disabled.
  * Fixed Chrome 38 max-height issue.
  * Fixed chat room buddy image border.
  * Fixed store of captured buddy picture when nothing else was changed.
  * Fixed fast reenable of local video (added timeout).
  * Fixed issue where a failed peer connection did hangup the whole conference.
  * Added video layout self portrait.
  * Fixed call state resurrection when there was a heartbeat timeout. 

 -- Simon Eisenmann <simon@struktur.de>  Fri, 19 Sep 2014 11:04:42 +0200

spreed-webrtc-server (0.22.2) precise; urgency=low

  * Fixed room join after reconnect.

 -- Simon Eisenmann <simon@struktur.de>  Tue, 09 Sep 2014 11:00:08 +0200

spreed-webrtc-server (0.22.1) precise; urgency=low

  * Fixed load of local stored date when not logged in. 

 -- Simon Eisenmann <simon@struktur.de>  Fri, 05 Sep 2014 17:42:48 +0200

spreed-webrtc-server (0.22.0) precise; urgency=low

  * WebODF was updated to 0.5.2.
  * Multiple bugfixes and improvements to YouTube player.
  * Retrieving local user media now has a timeout.
  * Top bar controls are now correctly aligned.
  * Added support for promises during initialization code.
  * Added support for plugin provided translations.
  * Stream lined reconnects.
  * Improved status update performance and avoid to do 
    several during connect/authentication phase.
  * Increased timeout to wait for remote video.
  * Screen sharing extension waiter timeout fixed.
  * Added support to upload pictures from file for own image.
  * Auto focus create room button and added enter support.
  * Angular was updated to 1.2.23.
  * Simplified base controller injection.
  * Local user data is now stored encrypted.
  * Refactored settings service and form.
  * Fixed compatibility with Sass 3.4 (now requires 3.4).
  * Howler was updated to 1.1.25.
  * Settings are now only stored when something was changed.
  * The web app now generates a random id on startup.
  * Desktop notify was updated to latest master.
  * Validate HTML templates on translation.
  * Language code can now be provided as query parameter.
  * JQuery inject-css was updated to latest master.
  * Show GPS accuracy as kilometers if required.
  * Contacts can now be modified from the contacts manager.
  * Added top bar button to open the contacts list.
  * Fixed scaling of contact images.
  * Fixed chat room resume when it was previously deleted.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 05 Sep 2014 16:50:52 +0200

spreed-webrtc-server (0.21.0) precise; urgency=low

  * The language is now available in appData service.
  * Implemented YouTube video sharing.
  * Fixed userid resets on soft close.
  * Show proper error message if screen sharing fails.
  * Implemented inline install hooks for Chrome extension.
  * Presentations now support ODF format with help of WebODF.
  * Implemented Chrome exension bridge API.
  * Implemented deferred based initialization service.
  * Buddy images can now be larger and are scaled down.
  * Fixed presentation multiple downloads.
  * Updated notification image to use CSS.
  * Improved top bar styles and behaviour on small screens.
  * Top bar is now a bootstrap nav bar.
  * Contacts can now be removed in contact manager.
  * Various other bug fixes.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 25 Jul 2014 17:53:34 +0200

spreed-webrtc-server (0.20.0) precise; urgency=low

  * Added presentation mode.
  * Added geolocation sharing in chat.
  * Muliple updates to 3rd party libraries.
  * New welcome screen.
  * Implmeneted session subscription.
  * Reorganized styles.
  * Icon changes.
  * Added ES5 detection on startup.
  * Implemented a contact manager.

 -- Simon Eisenmann <longsleep@redemption.intranet.struktur.de>  Fri, 11 Jul 2014 19:12:00 +0200

spreed-webrtc-server (0.19.1) precise; urgency=low

  * Added Dockerfile.
  * Updates to compile time dependencies.
  * Session data no longer overwrites contact data.

 -- Simon Eisenmann <simon@struktur.de>  Mon, 30 Jun 2014 19:18:17 +0200

spreed-webrtc-server (0.19.0) precise; urgency=low

  * Implemented authenticated sessions.
  * Implemented contacts.
  * Implemented aggregated sessions in buddy list.
  * Implemented contact and attestation tokens to fetch contact
    details/sessions with such a token.
  * Tokens are now AES encrypted where appropriate.
  * New ui workflow to take your own picture in settings.
  * Fixed plugins for english language.
  * Implemented event hub in appData.
  * Updates to various base libraries.
  * Added support for external plugins.
  * Added support to inject additional settings from plugins.
  * Translation updates to German, Chinese and Japanese.
  * Multiple bug fixes.
  * Improved build system autoconf detections.

 -- Simon Eisenmann <simon@struktur.de>  Mon, 23 Jun 2014 15:44:30 +0200

spreed-webrtc-server (0.18.1) precise; urgency=low

  * Added autoconf/automake support.
  * Build SCSS compressed in release mode. 

 -- Simon Eisenmann <simon@struktur.de>  Tue, 27 May 2014 11:16:22 +0200

spreed-webrtc-server (0.18.0) precise; urgency=low

  * The project is now named Spreed WebRTC. All reference to the old
    name Spreed Speak Freely have been replaced.
  * Cleanup of Javascript code to match coding guide lines.
  * Added various new targets to make to check javascript and scss code. 

 -- Simon Eisenmann <simon@struktur.de>  Fri, 23 May 2014 10:46:51 +0200

spreed-webrtc-server (0.17.5) precise; urgency=low

  * Implemented server side support for user authentication and authorization.
  * Added an REST API end point (see docs).
  * Settings are now implicitly stored.
  * Javascript console log is now disabled per default. Enable with ?debug
    URL parameter or by typing debug(true) in console.
  * The integrated TLS server can now provide TLS client authentication.
  * Updated example plugins to latest APIs.
  * Bootstrap and FontAwesome are now compiled on build from SCSS sources.
  * All styles now use a common set of variables for colors and font sizes.
  * Removed vendor prefixes from scss and generate them on build with
    the autoprefixes utility.
  * Fixed compatibility with mobile Safari < 6 which did not load.
  * Fixed compatibility with Firefox in case the Firefox peer has no camera.
  * Settings do now auto open on start when there is no display name set.
  * The accept a call button does now share in sync with the ringing sound.
  * Added support to specify the default language by URL parameter (?lang=en).
  * Added support for .webp images as buddy images.

 -- Simon Eisenmann <simon@struktur.de>  Thu, 22 May 2014 17:49:16 +0200

spreed-webrtc-server (0.17.4) precise; urgency=low

  * Updated Japanese translation.
  * Allow Makefile variables CONFIG_FILE and CONFIG_PATH.
  * Fixed a possible conference connection issue when all ICE connected were successfull.
  * Videos are now properly aligned to window top.
  * Top bar buttons no longer overlap.
  * Use onepeople audio video renderer per default.
  * Added support for native HTTPS server.
  * Fixed a data channel not ready error.
  * Use new video layout implementation to draw when there is a main view.
  * Added UI controls to switch video layout.
  * Made the conferencekiosk renderer mode working and enabled it in Ui.
  * Use new websocket.Upgraded API.
  * No longer hang up on reload when not confirmed.

 -- Simon Eisenmann <simon@struktur.de>  Thu, 24 Apr 2014 17:59:05 +0200

spreed-webrtc-server (0.17.3) precise; urgency=low

  * Buddy images are now loaded with seperate URL calls.
  * Updated Korean (ko) language.
  * Fixed video bottom overflow with certain window sizes.
  * Own video is now always at the bottom.
  * Bar does no longer overlap.
  * Added new top level Make target for building assets.
  * File permission fixes.
  * Do not use sleepy as submodule but include it directly.
  * Refactored video layout renderer in seperate service.
  * Implemented alternaitve conference view (not enabled yet).

 -- Simon Eisenmann <simon@struktur.de>  Wed, 16 Apr 2014 17:41:13 +0200

spreed-webrtc-server (0.17.2) precise; urgency=low

  * Fixed timeouts when there was a disconnect.
  * Use sleepy as submodule from external source.
  * Fixed file download ending prematurely on slow connections.
  * Fixed buddy list auto hide on room changes.
  * Fixed German language translation headers.
  * Added missing translation for conferences.
  * Added Japanese language.
  * Added Chinese Traditional language.
  * Updated Chinese language.
  * Updated Korean language.
  * Fixed screen sharing scrolling.
  * Fixed screen sharing hangup in conferences.
  * Avoid spurious bye ping pong.
  * Fixed hangup in conferences.
  * Fixed double click on Chrome OS.
  * Fixed buddy list visibility if it should auto hide.
  * Fixed Javascript code injection with room names.
  * Show current room name in title.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 11 Apr 2014 19:42:10 +0200

spreed-webrtc-server (0.17.1) precise; urgency=low

  * Added translations for Korean and Chinese.
  * Multiple updates to 3rd party js libraries.
  * Removed 1080p configuration option.
  * Bootstrap update to 3.1.1.
  * No longer disconnect ongoing calls on websocket disconnect.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 04 Apr 2014 18:46:56 +0200

spreed-webrtc-server (0.17.0) precise; urgency=low

  * TURN user names now use expiration time stamp. This fixes compatibility
    with latest TURN REST specification and requires a reasonably recent
    TURN server (eg. rfc5766-turn-server >= 2.5)..
  * Fixed iceServers response to be an array for Chrome >= 34.
  * Always make screen sharing availble when browser supports it.
  * Fixed audio indicator to actually work correctly.
  * Added support for screen sharing options (fit screen).
  * HTML fixes.
  * Added method to generate URL-safe random string.
  * Use strong random number generator.
  * Support configuring pprof HTTP server.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 28 Mar 2014 16:48:46 +0100

spreed-webrtc-server (0.16.1) precise; urgency=low

  * Implemented chat session control UI.
  * Layout controller refactorization.
  * Chat UI bugfixes.

 -- Simon Eisenmann <simon@struktur.de>  Fri, 21 Mar 2014 11:46:10 +0100

spreed-webrtc-server (0.16.0) precise; urgency=low

  * Chat UI improvements.
  * Screen sharing is now a scroll pane and no longer scaled down.
  * Buddy list now auto hides when in a call.
  * Server optimizations to handle large amounts of connections better.
  * Server code was reviewed and fixed where required.
  * Changed Makefile to allow tarball and release builds with
    local third party sources in ./vendor too.
  * Added configration for maxfd and automatically use the
    numer of cpus for GOMAXPROCS per default.
  * Added server helper for stats and profiling.

 -- Simon Eisenmann <simon@struktur.de>  Mon, 17 Mar 2014 18:35:08 +0100

spreed-webrtc-server (0.15.0) precise; urgency=low

  * Initial public release.

 -- Simon Eisenmann <simon@struktur.de>  Thu, 13 Feb 2014 16:14:05 +0100

